#ifndef _FGLRX_EXTENSIONS_
#define _FGLRX_EXTENSIONS_
// === file FGLRXextensions.h ===


// === Bool ExtGetDriverData(FGLRXDriverDataPtr pDriverData) ===

typedef struct {
    int             majorVersion;
    int             minorVersion;
    int             patchlevel;
    char            usBIOSVersionMajor;
    char            usBIOSVersionMinor;
    char            HasSecondary;
    int             BoardType;
    int             ChipType;
    int             VideoRam;
    char            sATiRevID[17]; // 1+16, for alignment
    char            usAGPTransferMode;
    unsigned int    uiAGPCapPtr;
    unsigned int    uiAGPStatus;
    unsigned int    uiAGPCommand;
    unsigned long   ulGamma1;
    unsigned long   ulGamma2;
    unsigned long   ulDriverType;
    unsigned long   ulDesktopSetup;
    unsigned long   ulPrimary;
} FGLRXDriverDataRec, *FGLRXDriverDataPtr;


// === Bool ExtGetDisplaySettings(FGLRXDisplaySettingsPtr pDisplaySettings) ===
// === Bool ExtSetDisplaySettings(FGLRXDisplaySettingsPtr pDisplaySettings) ===



typedef struct {
    int Primary;
    int Desktop;
} FGLRXDisplaySettingsRec, *FGLRXDisplaySettingsPtr;


// === Bool ExtSetGammaRamp(FGLRXGammaRampPtr pGammaSettings) ===

typedef struct {
    int             Monitor;
    unsigned long   ulGamma;
} FGLRXGammaSettingsRec, *FGLRXGammaSettingsPtr;


#endif // _FGLRX_EXTENSIONS_
